<?php


namespace Meibuyu\Rpc\Service\Interfaces\PurchaseNew;


interface PurchaseInfoServiceInterface
{
    /**
     * 扫描物流号或批次号查询
     * @param $scanNo
     * @return array
     */
    public function getShippingInfo($scanNo): array;

    /**
     * 分页查询
     * @param int $page 当前第几页
     * @param int $pageSize 每页显示数
     * @return array
     */
    public function getShippingList($page=1,$pageSize=10): array;


    /**
     * 订单推送采购
     * @param $post
     * @return mixed
     */
    public function orderPushPurchase($post);

}